/* Before adding any unnecessary CSS rules, please check out the Snap documentation at https://bit.ly/3PqSii8. */
/* Override Styles */
/*
.service-style-1 h2 {margin: 10px 0;}
.ry-menu .ry-nav li .dropdown-toggle {padding: 30px 0;}
ul#quick-links li a {display: block;width: 100%;}
#in-services-3 ul li a {margin-left: 0px;margin-top:30px}
*/
[x-cloak] { display: none !important; }
.promotions img { min-width: 22rem; max-width:22rem;}
#in-services-style-2.squares .ry-each:before, #in-services-style-2.squares .ry-each img {border-radius: 0;}
.mobile-menu-icon a{display: flex;height: 100%;width: 100%;justify-content: center;align-items: center;}
body.fancybox-active .ry-sticky-menu.fixed {z-index: 9999;}
.testimonials-swiper p,
.testimonials-swiper-2 p{
overflow: hidden;
display: -webkit-box;
-webkit-box-orient: vertical;
-webkit-line-clamp: 4
}
.service-hover {
    position: absolute;
    z-index: 9;
    opacity: 0;
    transition: opacity 0.3s ease;
    text-align: center;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    color: white;
}

/* Show service-hover when parent with data-target is hovered */
[data-target]:hover .service-hover {
    opacity: 1;
}

/* Apply the overlay effect when parent is hovered */
[data-target]:hover .service-hover::before {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
    height: 100%;
    z-index: -1; /* Make sure it's behind the text */
}
.mm-navbar {
	color: #fefbe1;
}

/* HP Edits - Started <April 21, 2026> */


/**/
	/*fonts*/

	/*btns*/
		.ry-btn-white{
			color: var(--clr-black)!important;
			background: var(--clr-white) !important;
			border: 1px solid var(--clr-white) !important;
		}
		.ry-btn-white:hover{
			color: var(--clr-white) !important;
			background: transparent !important;
			border: 1px solid var(--clr-white) !important;
		}
        .ry-menu .ry-nav li.dropdown .dropdown-menu li {
            background: var(--color-primary-background);
            color: #374151;
        }
/*Modal*/
/* Header */
	/**/
.snap-mobile-menu {
    background: white;
}

mm-burger {
    color: #000;
}
.ry-menu .ry-nav li.primary .caret {
    border-color: #374151;
}

.ry-menu .ry-nav li.primary:hover .caret {
    border-color: var(--color-secondary-background);
}
.ry-menu .ry-nav li.dropdown .dropdown-menu li {
    background: var(--color-primary-background);
    color: var(--color-primary-text);
}
.with-gradient:before {
    background-image: linear-gradient(#fffffff0, #ffffff4f, transparent, rgb(0 0 0 / 0%))
}
.cta-btn {
    border-radius: 999px;
    background: var(--color-primary-background);
}
.cta-btn:hover {
    border: 1px solid var(--color-primary-background);
    color: var(--color-primary-background);
}
/* Hero */
	/**/
#hp-slider, #hp-slider .swiper-wrapper, .homepage-swiper .swiper-slide img {
    height: 100vh !important;
    object-fit: cover;
}
/* CTA */
	/**/
/* Welcome */
	/**/
.module-welcome.style-5 {
    padding: 29.6vh 0 21.6vh;
}

.module-welcome.style-5:before {
    background-position: top;
}

.module-welcome.style-5 .ry-each.image-wrapper {
    opacity: 0;
}
/* Services */
	/**/
#services-12 > div:nth-child(even) {
  background-color: #1f160a;
}
/* Meet the Team */
	/**/
/* Insurance */
	/**/

#hp-insurance-1 .overflow-hidden,
#hp-brands-6 .overflow-hidden{
    padding: 0;
}
#hp-insurance-1 .swiper-slide{
    background: #fefbe10f;
}
#hp-brands-6 .swiper-slide{
    background: #3724160d;
}
.brands-swiper-4 img {
	mix-blend-mode: normal;
	filter: brightness(0) invert(1);
}
/* Brand */
	/**/
.brands-swiper-5 img {
  aspect-ratio: 3/2;
  -o-object-fit: contain;
  object-fit: contain;
  mix-blend-mode: color-burn;
  height: 70px;
  margin: 0 auto;
}
.brand-5-swiper-button-next,
.brand-5-swiper-button-prev {
  -webkit-text-stroke: 1px;
  width: 50px;
  height: 50px;
  border-radius: 50%;
  display: grid;
  justify-items: center;
  align-items: center;
  color: var(--color-secondary-text);
  background-color: var(--color-secondary-background);
}
/* Request Appointment */
	/**/
/* Testimonials */
	/**/
/* Footer */
	/**/
#ry-footer::before {
    background-color: var(--color-secondary-background);
    background-image: none;
}
/*Media Queries*/
	/**/
@media (max-width:1024px){
    #hp-slider, #hp-slider .swiper-wrapper, .homepage-swiper .swiper-slide img {
        height: 100% !important;
    }
    .ry-hp-team .flex {
        flex-direction: column;
    }
    #hp-insurance-1 {
        padding-bottom: 180px;
    }
	body[data-page-name="index"] #navigation {
		position: relative;
	}
}
@media (max-width:1080px){
    .module-welcome.style-5 {
        padding-top: 150px;
    }
    .module-welcome.style-5 .ry-each.image-wrapper {
        display:none;
    }
    .module-welcome.style-5:before,
    #section-hp-services::before{
        opacity: 1;
    }
}

/* End - HP Edits*/

.cookie_privacy-container {
	z-index: 9999 !important;
}

#ry-footer ul {
	line-height: 2;
}

body[data-page-name="payment-options"] .brands-swiper-4 img {
	filter: none;
}

#welcome-wrap .ry-flex {
    justify-content: center;
}